## ceph 0.41

=== debian/changelog ===
ceph (0.41-1ubuntu2) precise; urgency=low

  * d/control: switch from libcryptopp to libnss as libcryptopp is not
  seeded. (LP: #932896)
  * d/control,d/rules: move from python-support to dh_python2 per MIR
    review.
  * d/patches/manpage_updates*.patch: cherry picked upstream manpage
    updates warning about lack of encryption, per MIR review.
  * d/rules,d/control: Drop radosgw since libfcgi is not in main and
    the code may not be suitable for LTS.
  * d/rules,d/control: drop tcmalloc since google perftools is not
    in main yet.
  * d/rules,d/control: drop ceph-fuse entirely per MIR review
    recommendation.

 -- Clint Byrum <clint@ubuntu.com>  Thu, 12 Apr 2012 11:46:50 -0700

ceph (0.41-1ubuntu1) precise; urgency=low

  * d/control, d/ceph-fs-common.install, d/ceph-mds.install: Split out
    filesystem specific bits so they can be kept in universe.

 -- Clint Byrum <clint@ubuntu.com>  Wed, 15 Feb 2012 11:08:56 -0800

ceph (0.41-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 05 Feb 2012 10:07:38 +0100
