## ceph 0.43

=== debian/changelog ===
ceph (0.43-1) unstable; urgency=low

  * New upstream release, now creates /var/run/ceph on each start
    (closes: #660238).
  * Update debian/copyright .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 26 Feb 2012 04:07:02 +0100
