=== debian/control ===
--- 
+++ 
@@ -4,24 +4,21 @@
 Homepage: http://ceph.newdream.net/
 Vcs-Git: git://github.com/NewDreamNetwork/ceph.git
 Vcs-Browser: https://github.com/NewDreamNetwork/ceph
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
 Uploaders: Sage Weil <sage@newdream.net>
-Build-Depends: debhelper (>= 6.0.7~), autotools-dev, autoconf, automake, libtool, pkg-config, libboost-dev, libedit-dev, libnss3-dev, libexpat1-dev, libatomic-ops-dev, libkeyutils-dev, libgtkmm-2.4-dev, python-dev, libcurl4-gnutls-dev, uuid-dev, python (>= 2.6.6-3~)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 6.0.7~), python-support (>= 0.5.3), autotools-dev, autoconf, automake, libtool, pkg-config, libfuse-dev, libboost-dev, libedit-dev, libcrypto++-dev, libexpat1-dev, libfcgi-dev, libatomic-ops-dev, libgoogle-perftools-dev [i386 amd64], libkeyutils-dev, libgtkmm-2.4-dev, python, python-dev, libcurl4-gnutls-dev, uuid-dev, libaio-dev
+Standards-Version: 3.9.3
 
 Package: ceph
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, hdparm | sdparm, binutils, ceph-common
-Recommends: libcephfs1, librados2, librbd1, btrfs-tools, gceph
-Description: distributed storage
+Recommends: ceph-fuse, libcephfs1, librados2, librbd1, btrfs-tools, gceph
+Description: distributed storage and file system
  Ceph is a distributed storage and network file system designed to provide
  excellent performance, reliability, and scalability.
  .
  This package contains all server daemons and management tools for creating,
- running, and administering a Ceph storage cluster. This does not include
- the POSIX filesystem server, as that has been split into the ceph-mds
- package.
+ running, and administering a Ceph storage cluster.
 
 Package: ceph-dbg
 Architecture: linux-any
@@ -34,27 +31,6 @@
  .
  This package contains the debugging symbols for ceph.
 
-Package: ceph-mds
-Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ceph, ceph-fs-common
-Description: distributed filesystem service
- Ceph is a distributed storage and network file system designed to provide
- excellent performance, reliability, and scalability.
- .
- This package contains the ceph-mds daemon, used for serving the distributed
- ceph filesystem on top of the distributed storage cluster.
-
-Package: ceph-mds-dbg
-Architecture: linux-any
-Section: debug
-Priority: extra
-Depends: ceph (= ${binary:Version}), ${misc:Depends}
-Description: debugging symbols for ceph
- Ceph is a distributed storage and network file system designed to provide
- excellent performance, reliability, and scalability.
- .
- This package contains the debugging symbols for ceph-mds
-
 Package: gceph
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -78,6 +54,36 @@
  command.
  .
  This package contains the debugging symbols for gceph.
+
+Package: ceph-fuse
+Architecture: linux-any
+Depends: ${shlibs:Depends}, ${misc:Depends}, libfuse2
+Recommends: fuse-utils
+Suggests: ceph
+Description: FUSE-based client for the Ceph distributed file system
+ Ceph is a distributed network file system designed to provide
+ excellent performance, reliability, and scalability.  This is a
+ FUSE-based client that allows one to mount a Ceph file system without
+ root privileges.
+ .
+ Because the FUSE-based client has certain inherent performance
+ limitations, it is recommended that the native Linux kernel client
+ be used if possible.  If it is not practical to load a kernel module
+ (insufficient privileges, older kernel, etc.), then the FUSE client will
+ do.
+
+Package: ceph-fuse-dbg
+Architecture: linux-any
+Section: debug
+Priority: extra
+Depends: ceph-fuse (= ${binary:Version}), ${misc:Depends}
+Description: debugging symbols for ceph-fuse
+ Ceph is a distributed network file system designed to provide
+ excellent performance, reliability, and scalability.  This is a
+ FUSE-based client that allows one to mount a Ceph file system without
+ root privileges.
+ .
+ This package contains the debugging symbols for ceph-fuse.
 
 Package: ceph-common
 Architecture: linux-any
@@ -105,35 +111,6 @@
  ceph fs with the kernel client.
  .
  This package contains the debugging symbols for ceph-common.
-
-Package: ceph-fs-common
-Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ceph-common (= ${binary:Version})
-Conflicts: ceph-client-tools
-Replaces: ceph-client-tools
-Suggests: ceph
-Description: common utilities to mount and interact with a ceph filesystem
- Ceph is a distributed network file system designed to provide
- excellent performance, reliability, and scalability.  This is a collection
- of common tools, including the mount utility, that allows one to mount the
- ceph fs with the kernel client.
- .
- This package contains common utilities for the Ceph filesystem.
-
-Package: ceph-fs-common-dbg
-Architecture: linux-any
-Depends: ceph-fs-common (= ${binary:Version}), ${misc:Depends}
-Conflicts: ceph-client-tools-dbg
-Replaces: ceph-client-tools-dbg
-Section: debug
-Priority: extra
-Description: debugging symbols for ceph-fs-common
- Ceph is a distributed network file system designed to provide
- excellent performance, reliability, and scalability.  This is a collection
- of common tools, including the mount utility, that allows one to mount the
- ceph fs with the kernel client.
- .
- This package contains the debugging symbols for ceph-fs-common.
 
 Package: ceph-resource-agents
 Architecture: linux-any
@@ -270,21 +247,56 @@
  This package contains development files needed for building applications that
  link against libcephfs1.
 
-Package: obsync
-Architecture: linux-any
-Depends: ${misc:Depends}, python, python-boto, python-ceph, python-pyxattr, python-lxml
-Description: synchronize data between cloud object storage providers or a local directory
- obsync is a tool to synchronize objects between cloud object
- storage providers, such as Amazon S3 (or compatible services), a
- Ceph RADOS cluster, or a local directory.
-
-Package: python-ceph
-Architecture: linux-any
-Section: python
-Depends: ${misc:Depends}, ${python:Depends}, librados2, librgw1
-Description: Python libraries for the Ceph distributed filesystem
- Ceph is a distributed storage and network file system designed to provide
- excellent performance, reliability, and scalability.
- .
- This package contains Python libraries for interacting with Ceph's
- RADOS object storage, and RBD (RADOS block device).
+Package: librgw1
+Conflicts: librgw
+Replaces: librgw
+Architecture: linux-any
+Section: libs
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: radosgw data access library
+ radosgw is a REST gateway for RADOS distributed object store.
+ librgw contains support for reading and writing objects in the
+ format expected by radosgw.
+
+Package: librgw1-dbg
+Architecture: linux-any
+Section: debug
+Priority: extra
+Depends: librgw1 (= ${binary:Version}), ${misc:Depends}
+Description: debugging symbols for librgw
+ radosgw is a REST gateway for RADOS distributed object store.
+ librgw contains support for reading and writing objects in the
+ format expected by radosgw.
+ .
+ This package contains debugging symbols for librgw.
+
+Package: librgw-dev
+Architecture: linux-any
+Section: libdevel
+Depends: ${misc:Depends}, librgw1 (= ${binary:Version})
+Description: RGW distributed object store client library (development files)
+ radosgw is a REST gateway for RADOS distributed object store.
+ librgw contains support for reading and writing objects in the
+ format expected by radosgw.
+ .
+ This package contains development files needed for building applications that
+ link against librgw.
+
+Package: radosgw
+Architecture: linux-any
+Depends: ${shlibs:Depends}, ${misc:Depends}, ceph-common, libexpat1, librados2 (= ${binary:Version})
+Description: REST gateway for RADOS distributed object store
+ RADOS is a distributed object store used by the Ceph distributed
+ storage system.  This package provides a REST gateway to the
+ object store that aims to implement a superset of Amazon's S3
+ service.
+ .
+ This package contains the proxy daemon and related tools only.
+
+Package: radosgw-dbg
+Architecture: linux-any
+Section: debug
+Priority: extra
+Depends: radosgw (= ${binary:Version}), ${misc:Depends}
+Description: debugging symbols for radosgw
+ RADOS is a distributed object store used by the Ceph distributed
