=== debian/rules ===
--- 
+++ 
@@ -28,22 +28,19 @@
   extraopts += --without-libatomic-ops
 endif
 
-# google-perftools not in MAIN yet.
-#ifneq ($(DEB_HOST_ARCH), i386)
-#ifneq ($(DEB_HOST_ARCH), amd64)
+ifneq ($(DEB_HOST_ARCH), i386)
+ifneq ($(DEB_HOST_ARCH), amd64)
   # libgoogle-perftools-dev is only available on i386 and amd64
   extraopts += --without-tcmalloc
-#endif
-#endif
+endif
+endif
 
-#ifeq ($(shell grep -c -E '^Build-Depends:(.*,)?[[:space:]]*libgoogle-perftools-dev([[:space:]]|,|$$)' debian/control),0)
-#  # if Build-Deps have been edited to skip libgoogle-perftools-dev (as
-#  # we do for Debian lenny), tell configure it's ok to not have
-#  # tcmalloc.
-#  extraopts += --without-tcmalloc
-#endif
-
-extraopts += --without-radosgw --without-fuse
+ifeq ($(shell grep -c -E '^Build-Depends:(.*,)?[[:space:]]*libgoogle-perftools-dev([[:space:]]|,|$$)' debian/control),0)
+  # if Build-Deps have been edited to skip libgoogle-perftools-dev (as
+  # we do for Debian lenny), tell configure it's ok to not have
+  # tcmalloc.
+  extraopts += --without-tcmalloc
+endif
 
 configure: configure-stamp
 configure-stamp:
@@ -54,7 +51,7 @@
 build-indep: build
 
 build: build-stamp
-build-stamp: configure-stamp
+build-stamp: configure-stamp  
 	dh_testdir
 
 	./autogen.sh
@@ -63,6 +60,7 @@
 	$(MAKE)
 
 	cp src/init-ceph debian/ceph.init
+	cp src/init-radosgw debian/radosgw.init
 	cp src/logrotate.conf debian/ceph.logrotate
 
 	touch $@
@@ -81,7 +79,7 @@
 	cd src/gtest/build-aux/ &&  rm -f config.guess config.h.in \
 		config.sub depcomp install-sh  ltmain.sh  missing
 
-	rm -f debian/ceph.init debian/ceph.logrotate
+	rm -f debian/ceph.init debian/radosgw.init debian/ceph.logrotate
 
 	dh_clean
 
@@ -115,18 +113,19 @@
 	dh_link
 
 	dh_strip -pceph --dbg-package=ceph-dbg -k --exclude=libcls_
-	dh_strip -pceph-mds --dbg-package=ceph-mds-dbg -k --exclude=libcls_
+	dh_strip -pceph-fuse --dbg-package=ceph-fuse-dbg
 	dh_strip -pceph-common --dbg-package=ceph-common-dbg
-	dh_strip -pceph-fs-common --dbg-package=ceph-fs-common-dbg
 	dh_strip -plibrados2 --dbg-package=librados2-dbg
 	dh_strip -plibrbd1 --dbg-package=librbd1-dbg
 	dh_strip -plibcephfs1 --dbg-package=libcephfs1-dbg
+	dh_strip -pradosgw --dbg-package=radosgw-dbg
 	dh_strip -pgceph --dbg-package=gceph-dbg
+	dh_strip -plibrgw1 --dbg-package=librgw1-dbg
 
 	dh_compress
 	dh_fixperms
 	dh_makeshlibs -n  # we do the postinst/postrm scripts manually
-	dh_python2
+	dh_pysupport
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
