## ceph 0.48

=== debian/changelog ===
ceph (0.48-2) unstable; urgency=low

  * Update Standards-Version to 3.9.4 .

  [ Hilko Bengen <bengen@debian.org> ]
  * Link with libboost_system, add necessary build-dependency
    (closes: #720798).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 28 Aug 2013 00:32:03 +0200

ceph (0.48-1.1) unstable; urgency=low

  * Non-maintainer upload, fixing two RC bugs:
    - Clean up .symbols files (Closes: #679686)
    - Add patch to link librados-config against pthreads, fixing FTBFS
      (Closes: #713541); make sure that the resulting binary is stripped.
  * fuse-utils is obsolete (Closes: #698178)
  * Fix bashism in ceph-debugpack (Closes: #690654)
  * Update watch file
  * Do not install .la files

 -- Hilko Bengen <bengen@debian.org>  Tue, 02 Jul 2013 22:39:07 +0200

ceph (0.48-1) unstable; urgency=low

  * New upstream release, the first with long-term support.
  * As gceph dropped by upstream, remove it from packaging.
  * Build with hardening enabled and build-conflict with libcryptopp not to
    mix up with libnss.
  * Use symbol versioning (closes: #679686).
  * Update debian/watch to GitHub tags.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 07 Jul 2012 07:53:40 +0200

ceph (0.47.2-1) unstable; urgency=low

  * New upstream release.
  * Use system leveldb (closes: #667907).
  * Remove librgw1 , librgw-dev and librgw1-dbg and add rest-bench and
    rest-bench-dbg packages.
  * Backport leveldb build fixes from upstream git as
    fix_leveldb_dep_for_system_library_case.patch and
    fix_leveldb_includes_for_system_library_case.patch .
  * Update packaging.
  * Sync with Ubuntu: switch build-dependency from libcryptopp to libnss as
    libcryptopp is not seeded.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 03 Jun 2012 13:37:52 +0200

ceph (0.44.1-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Fri, 06 Apr 2012 01:10:15 +0200
