=== debian/control ===
--- 
+++ 
@@ -1,18 +1,21 @@
 Source: ceph
 Section: admin
 Priority: optional
-Homepage: http://ceph.newdream.net/
-Vcs-Git: git://github.com/NewDreamNetwork/ceph.git
-Vcs-Browser: https://github.com/NewDreamNetwork/ceph
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
+Homepage: http://ceph.com/
+Vcs-Git: git://github.com/ceph/ceph.git
+Vcs-Browser: https://github.com/ceph/ceph
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Uploaders: Sage Weil <sage@newdream.net>
-Build-Depends: debhelper (>= 6.0.7~), python-support (>= 0.5.3), autotools-dev, autoconf, automake, libtool, pkg-config, libfuse-dev, libboost-dev, libedit-dev, libcrypto++-dev, libexpat1-dev, libfcgi-dev, libatomic-ops-dev, libgoogle-perftools-dev [i386 amd64], libkeyutils-dev, libgtkmm-2.4-dev, python, python-dev, libcurl4-gnutls-dev, uuid-dev, libaio-dev
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 6.0.7~), dpkg-dev (>= 1.16.1~), python-support (>= 0.5.3), autotools-dev, autoconf, automake, libtool, pkg-config, libfuse-dev, libboost-dev, libboost-system-dev, libedit-dev, libnss3-dev, libexpat1-dev, libfcgi-dev, libatomic-ops-dev, libgoogle-perftools-dev [i386 amd64], libkeyutils-dev, python (>= 2.6.6-3~), python-dev, libcurl4-gnutls-dev, uuid-dev, libaio-dev, libsnappy-dev, libleveldb-dev, libs3-dev
+Build-Conflicts: libcrypto++-dev
+Standards-Version: 3.9.4
 
 Package: ceph
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}, hdparm | sdparm, binutils, ceph-common
-Recommends: ceph-fuse, libcephfs1, librados2, librbd1, btrfs-tools, gceph
+Depends: ${shlibs:Depends}, ${misc:Depends}, hdparm | sdparm, binutils, ceph-common, uuid-runtime, python
+Conflicts: librgw1, librgw-dev, librgw1-dbg, gceph
+Replaces: librgw1, librgw-dev, librgw1-dbg, gceph
+Recommends: ceph-fuse, libcephfs1, librados2, librbd1, btrfs-tools
 Description: distributed storage and file system
  Ceph is a distributed storage and network file system designed to provide
  excellent performance, reliability, and scalability.
@@ -25,40 +28,18 @@
 Section: debug
 Priority: extra
 Depends: ceph (= ${binary:Version}), ${misc:Depends}
+Conflicts: gceph-dbg
+Replaces: gceph-dbg
 Description: debugging symbols for ceph
  Ceph is a distributed storage and network file system designed to provide
  excellent performance, reliability, and scalability.
  .
  This package contains the debugging symbols for ceph.
 
-Package: gceph
-Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: 
-Suggests: ceph
-Description: Graphical ceph cluster status utility
- Ceph is a distributed network file system designed to provide
- excellent performance, reliability, and scalability.  This is a
- gtk-based gui to monitor cluster status, similar to the 'ceph'
- command.
-
-Package: gceph-dbg
-Architecture: linux-any
-Section: debug
-Priority: extra
-Depends: gceph (= ${binary:Version}), ${misc:Depends}
-Description: debugging symbols for gceph
- Ceph is a distributed network file system designed to provide
- excellent performance, reliability, and scalability.  This is a
- gtk-based gui to monitor cluster status, similar to the 'ceph'
- command.
- .
- This package contains the debugging symbols for gceph.
-
 Package: ceph-fuse
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libfuse2
-Recommends: fuse-utils
+Recommends: fuse
 Suggests: ceph
 Description: FUSE-based client for the Ceph distributed file system
  Ceph is a distributed network file system designed to provide
@@ -247,41 +228,6 @@
  This package contains development files needed for building applications that
  link against libcephfs1.
 
-Package: librgw1
-Conflicts: librgw
-Replaces: librgw
-Architecture: linux-any
-Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: radosgw data access library
- radosgw is a REST gateway for RADOS distributed object store.
- librgw contains support for reading and writing objects in the
- format expected by radosgw.
-
-Package: librgw1-dbg
-Architecture: linux-any
-Section: debug
-Priority: extra
-Depends: librgw1 (= ${binary:Version}), ${misc:Depends}
-Description: debugging symbols for librgw
- radosgw is a REST gateway for RADOS distributed object store.
- librgw contains support for reading and writing objects in the
- format expected by radosgw.
- .
- This package contains debugging symbols for librgw.
-
-Package: librgw-dev
-Architecture: linux-any
-Section: libdevel
-Depends: ${misc:Depends}, librgw1 (= ${binary:Version})
-Description: RGW distributed object store client library (development files)
- radosgw is a REST gateway for RADOS distributed object store.
- librgw contains support for reading and writing objects in the
- format expected by radosgw.
- .
- This package contains development files needed for building applications that
- link against librgw.
-
 Package: radosgw
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ceph-common, libexpat1, librados2 (= ${binary:Version})
@@ -300,3 +246,43 @@
 Depends: radosgw (= ${binary:Version}), ${misc:Depends}
 Description: debugging symbols for radosgw
  RADOS is a distributed object store used by the Ceph distributed
+ storage system.  This package provides a REST gateway to the
+ object store that aims to implement a superset of Amazon's S3
+ service.
+ .
+ This package contains debugging symbols for radosgw.
+
+Package: rest-bench
+Architecture: linux-any
+Depends: ${shlibs:Depends}, ${misc:Depends}, ceph-common, xml2, curl
+Description: RESTful bencher that can be used to benchmark radosgw performance.
+ Simple tool to benchmark radosgw (or S3) (based on 'rados-bench' command).
+
+Package: rest-bench-dbg
+Architecture: linux-any
+Section: debug
+Priority: extra
+Depends: ${shlibs:Depends}, ${misc:Depends}, ceph-common, xml2, curl
+Description: RESTful bencher that can be used to benchmark radosgw performance.
+ Simple tool to benchmark radosgw (or S3) (based on 'rados-bench' command).
+ .
+ This package contains the debugging symbols for rest-bench.
+
+Package: obsync
+Architecture: linux-any
+Depends: ${misc:Depends}, python, python-boto, python-ceph, python-pyxattr, python-lxml
+Description: synchronize data between cloud object storage providers or a local directory
+ obsync is a tool to synchronize objects between cloud object
+ storage providers, such as Amazon S3 (or compatible services), a
+ Ceph RADOS cluster, or a local directory.
+
+Package: python-ceph
+Architecture: linux-any
+Section: python
+Depends: ${misc:Depends}, ${python:Depends}, librados2, librbd1
+Description: Python libraries for the Ceph distributed filesystem
+ Ceph is a distributed storage and network file system designed to provide
+ excellent performance, reliability, and scalability.
+ .
+ This package contains Python libraries for interacting with Ceph's
+ RADOS object storage, and RBD (RADOS block device).
