=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,19 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
-export DH_VERBOSE=1
+#export DH_VERBOSE=1
+
 export DESTDIR=$(CURDIR)/debian/tmp
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
+CFLAGS		?= $(shell dpkg-buildflags --get CFLAGS)
+CPPFLAGS	?= $(shell dpkg-buildflags --get CPPFLAGS)
+LDFLAGS		?= $(shell dpkg-buildflags --get LDFLAGS)
+CFLAGS		+= $(HARDENING_CFLAGS)
+CPPFLAGS	+= $(HARDENING_CFLAGS)
+LDFLAGS		+= $(HARDENING_LDFLAGS)
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
   NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -20,7 +32,7 @@
 
 export DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
-extraopts += --with-ocf
+extraopts += --with-ocf --with-rest-bench
 
 ifeq ($(DEB_HOST_ARCH), armel)
   # armel supports ARMv4t or above instructions sets.
@@ -45,6 +57,10 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
+	./autogen.sh
+	./configure --prefix=/usr --sbindir=/sbin --localstatedir=/var \
+	  --sysconfdir=/etc --with-system-leveldb --with-system-libs3 \
+	  $(extraopts) $(confflags)
 	touch $@
 
 build-arch: build
@@ -54,9 +70,6 @@
 build-stamp: configure-stamp  
 	dh_testdir
 
-	./autogen.sh
-	./configure --prefix=/usr --sbindir=/sbin --localstatedir=/var \
-	  --sysconfdir=/etc $(extraopts) $(confflags)
 	$(MAKE)
 
 	cp src/init-ceph debian/ceph.init
@@ -74,10 +87,12 @@
 	rm -f aclocal.m4 compile config.sub config.guess config.log depcomp \
 	  install-sh ltmain.sh missing
 	rm -f configure Makefile.in man/Makefile.in
+	rm -f py-compile
 	cd src/ && rm -f Makefile.in acconfig.h.in gtest/aclocal.m4 \
 		gtest/configure gtest/Makefile.in ocf/Makefile.in
 	cd src/gtest/build-aux/ &&  rm -f config.guess config.h.in \
 		config.sub depcomp install-sh  ltmain.sh  missing
+	rm -f src/leveldb/libleveldb.a
 
 	rm -f debian/ceph.init debian/radosgw.init debian/ceph.logrotate
 
@@ -86,11 +101,10 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
+	dh_prep
 	dh_installdirs
 
 	$(MAKE) DESTDIR=$(DESTDIR) install
-	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`
 	install -D -m 644 udev/50-rbd.rules $(DESTDIR)/lib/udev/rules.d/50-rbd.rules
 
 # Add here commands to install the package into debian/testpack.
@@ -102,10 +116,10 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs 
+	dh_installchangelogs
 	dh_installdocs --all ChangeLog
 	dh_installexamples
-	dh_install --sourcedir=$(DESTDIR) --list-missing
+	dh_install --sourcedir=$(DESTDIR) --list-missing -X.la
 	dh_installlogrotate
 	dh_installinit --no-start
 	dh_installman
@@ -119,13 +133,13 @@
 	dh_strip -plibrbd1 --dbg-package=librbd1-dbg
 	dh_strip -plibcephfs1 --dbg-package=libcephfs1-dbg
 	dh_strip -pradosgw --dbg-package=radosgw-dbg
-	dh_strip -pgceph --dbg-package=gceph-dbg
-	dh_strip -plibrgw1 --dbg-package=librgw1-dbg
+	dh_strip -prest-bench --dbg-package=rest-bench-dbg
+	dh_strip
 
 	dh_compress
 	dh_fixperms
 	dh_makeshlibs -n  # we do the postinst/postrm scripts manually
-	dh_pysupport
+	dh_python2
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
