=== debian/watch ===
version=3
https://github.com/ceph/ceph/tags .*/v(\d[\d\.]+)\.tar.*
