## ceph 0.48.2

=== workunits/Makefile ===
DIRS = direct_io

all:
	for d in $(DIRS) ; do ( cd $$d ; $(MAKE) all ) ; done
