=== debian/changelog ===
ceph (0.48.2-0ubuntu2) quantal; urgency=low

  * Fix crash in radosgw on armhf architecture (LP: #1049582):
    - debian/patches/extra-byte-for-null.patch: Cherry picked patch
      from upstream VCS. Thanks to Yehuda Sadeh for pointing to this
      fix.
  * d/ceph.lintian-overrides: Added libcls_rgw.so.1.0.0 to binaries
    which are not stripped.

 -- James Page <james.page@ubuntu.com>  Wed, 26 Sep 2012 13:28:15 +0100

ceph (0.48.2-0ubuntu1) quantal; urgency=low

  * New upstream patch release
  * d/control: Add gdisk as suggests for package ceph per upstream
    changes.
  * d/control: add /var/lib/ceph subdirs from upstream packaging.
  * d/ceph.install: install ceph-create-keys tool which was missing
    before.

 -- Clint Byrum <clint@ubuntu.com>  Thu, 20 Sep 2012 15:15:52 -0700

ceph (0.48.1-0ubuntu2) quantal; urgency=low

  * Remove manual calls to ldconfig (LP: #1017978):
    - d/lib{rados2|rbd1|cephfs1}.post*: Dropped - all these do is call
      ldconfig which will automatically be done. 
    - d/rules: Let dh_makeshlibs do its magic with postinst/postrm
      scripts but ensure that the .so's in ceph package are excluded.

 -- James Page <james.page@ubuntu.com>  Wed, 12 Sep 2012 10:36:57 +0100

ceph (0.48.1-0ubuntu1) quantal; urgency=low

  * New upstream point release.
  * d/rules: Install missing init script for radosgw.
  * d/orig-tar.sh: Just repack using bzip2; source format deals with
    upstream debian directory. Fixup to work correctly when downloading
    from github tags.

 -- James Page <james.page@ubuntu.com>  Mon, 27 Aug 2012 08:23:21 +0100

ceph (0.48-1ubuntu4) quantal; urgency=low

  * d/control: Re-instate building radosgw and rest-bench now that 
    libfcgi is approved for main.

 -- Clint Byrum <clint@fewbar.com>  Wed, 22 Aug 2012 01:13:21 -0700

ceph (0.48-1ubuntu3) quantal; urgency=low

  * Use google-perftools on i386 and amd64 architectures.

 -- James Page <james.page@ubuntu.com>  Tue, 14 Aug 2012 11:15:57 +0100

ceph (0.48-1ubuntu2) quantal; urgency=low

  * Drop use of in-tree dependencies, re-align with Debian:
    - d/patches/{intree_leveldb|add-powerpc-support}.patch: Dropped.
    - d/patches/series: Use patches to support lib{leveldb|s3}-dev usage.
    - d/control: BD on libsnappy-dev, liblevedb-dev, libs3-dev.
    - d/rules: Use system provided leveldb and libs3.
    - d/rules: Enable hardening.

 -- James Page <james.page@ubuntu.com>  Thu, 19 Jul 2012 08:28:18 +0100

ceph (0.48-1ubuntu1) quantal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Work with in-tree dependencies until MIR review completes:
      + d/patches/intree_leveldb.patch: temporary patch which inserts leveldb
        into the ceph src tree.
      + d/control,d/rules,d/p/series Don't use system leveldb and associated
        ceph patches; its not in main yet.
      + d/control,d/rules: Don't use system libs3; its not in main yet and
        is only required for rest-bench (which Ubuntu don't ship - see below).
      + d/patches/add-powerpc-support.patch: temporary patch to in-tree
        leveldb to fix FTBFS on powerpc.
      + d/rules: Disable hardening until intree leveldb is dropped.
    - d/rules,d/control: Drop radosgw and rest-bench since libfcgi is
      not in main yet.
    - d/rules,d/control: Drop tcmalloc use since google-perftools is not
      in main yet.
    - d/rules,d/control: Drop ceph-fuse entirely per MIR review recommendation.
    - d/control,d/ceph-fs-common.install,d/ceph-mds.install: Split out
      filesystem specific bits so they can be kept in universe.
    - d/control: Drop recommends on btrfs-tools.
    - d/control: Drop BD on python-support; its not required as the package
      uses dh_python2.
    - d/*.symbols: Drop for the time being; they are not correct and break
      builds other than amd64.
  * Dropped changes, now in Debian:
    - d/control: Switch from libcryptopp to libnss as libcryptopp.
    - d/rules: Move from python-support to dh_python2.
    - d/control: python-ceph - Dropped librgw1/added librbd1.
  * d/watch,d/orig-tar.sh: Updated watch to repack orig.tar.gz -> orig.tar.bz2
    and strip the upstream debian directory.
  * d/debian/ceph.lintian-overrides: Drop override for rgw library which is no
    longer shipped by upstream.
  * d/rules: Strip librados-dev package as it now contains a binary.

 -- James Page <james.page@ubuntu.com>  Mon, 16 Jul 2012 09:56:24 +0100

ceph (0.47.2-0ubuntu3) quantal; urgency=low

  * Remove btrfs-tools from Recommends (LP: #1016435).

 -- Paolo Rotolo <paolorotolo@ubuntu-it.org>  Sat, 23 Jun 2012 15:31:20 +0100

ceph (0.47.2-0ubuntu2) quantal; urgency=low

  * add-powerpc-support.patch: Fixes build failure on powerpc caused by
    the addition of an in-tree leveldb source build. Strongly suggest
    getting leveldb in main and using it to build against (using the
    --with-system-leveldb configure option).

 -- Ben Collins <bcollins@ubuntu.com>  Tue, 12 Jun 2012 15:12:26 -0400

ceph (0.47.2-0ubuntu1) quantal; urgency=low

  * New upstream release:
    - Dropped all patched; no longer required.
  * d/control: python-ceph - Dropped dependency on librgw1 and added dependency
    on librbd1 (LP: #981130).

 -- James Page <james.page@ubuntu.com>  Fri, 08 Jun 2012 17:12:27 +0100

ceph (0.44.1-1ubuntu1) quantal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control: Switch from libcryptopp to libnss as libcryptopp
      is not seeded.
    - d/control,d/rules: Move from python-support to dh_python2.
    - d/patches/manpage_updates*.patch: cherry picked upstream manpage
      updates warning about lack of encryption, per MIR review.
    - d/rules,d/control: Drop radosgw since libfcgi is not in main and
      the code may not be suitable for LTS.
    - d/rules,d/control: Drop tcmalloc since google perftools is not
      in main yet.
    - d/rules,d/control: Drop ceph-fuse entirely per MIR review
      recommendation.

