=== debian/watch ===
version=3
https://github.com/ceph/ceph/tags .*/tarball/v(\d[\d\.]+).* debian debian/orig-tar.sh
